Package org.apache.qpid.proton.codec

# Class Data.Factory

java.lang.Object
org.apache.qpid.proton.codec.Data.Factory

Enclosing interface:
  Data

public static final class Data.Factory extends Object

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`static Data`
`create()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public static Data create()